Redmine - Defect #5820

Hard-coded string "no subject” in app/models/mail_handler.rb
2010-07-05 16:40 - Roland Discein

Status: Closed Start date: 2010-07-05
Priority: Normal Due date:
Assignee: Go MAEDA % Done: 0%
Category: 118n Estimated time: 0.00 hour
Target version: 4.1.0
Resolution: Fixed Affected version:
Description

if issue.subject.blank?

issue.subject = '(no subject)'
end

hardcoded in source:app/models/mail_handler.rb

Maybe it can be localized?

My env:

About your application's environment
Ruby version 1.8.7 (i486-linux)
RubyGems version 1.3.7

Rack version 1.0

Rails version 2.3.5

Active Record version 2.3.5
Active Resource version 2.3.5
Action Mailer version 2.3.5
Active Support version 2.3.5

Application root /opt/redmine
Environment development
Database adapter mysq|

Database schema version 20100313171051

Associated revisions

Revision 18388 - 2019-08-25 02:09 - Go MAEDA
Fix hard-coded string "no subject" in app/models/mail_handler.rb (#5820).

Patch by Mizuki ISHIKAWA.

Revision 18389 - 2019-08-25 02:13 - Go MAEDA
Update locales (#5820).

Revision 18390 - 2019-08-25 02:15 - Go MAEDA

Russian translation for text_no_subject (#5820).

Patch by Roland Discein.

History

#1 - 2010-07-05 16:49 - Roland Discein

Mistyped: hardcoded entry in source:/trunk/app/models/mail_handler.rb

russian translation is

field_no_subject: HeT TeMrl

#2 - 2019-08-22 10:32 - Mizuki ISHIKAWA
https://www.redmine.org/projects/redmine/repository/svn/entry/app/models/mail_handler.rb
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/app/models/mail_handler.rb

- File feature-5820.patch added

| attached a patch.
The subject language is Setting.default_language, not the user language(The reason is the same as #31427#note-9)

#3 - 2019-08-23 10:02 - Go MAEDA
- Category set to 118n

- Target version set to 4.1.0

Setting the target version to 4.1.0.

#4 - 2019-08-25 02:16 - Go MAEDA

- Tracker changed from Feature to Defect

- Subject changed from Issues with no subject can have localized title to Hard-coded string "no subject" in app/models/mail_handler.rb
- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for your contribution.

Files

feature-5820.patch 2.05 KB 2019-08-22 Mizuki ISHIKAWA
